Skip to main content

Get rentable items for an applicant

GEThttps://api.propexo.com/v1/applicants/:id/rentable-items
deprecated

This endpoint has been deprecated and may be replaced or removed in future versions of the API.

Deprecated: Use GET /v1/rentable-item-assignments instead. Get all rentable items associated with a specific applicant.

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

id stringrequired

The ID of the resource.

Query parameters​

order-by string

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

Default value: created_at:desc
updated_at_gte string | null

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_lte string | null

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

last_seen_gte string | null

Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

last_seen_lte string | null

Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offset integer | null

Possible values: >= 0

Can be used for paginating results

Default value: 0
limit integer | null

Possible values: >= 0 and <= 250

A number between 1 and 250 to determine the number of results to return in a single query

Default value: 100
x_id string

The external ID from the integration vendor

location_id string

The Propexo unique identifier for the location associated with the property (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

property_id string

The Propexo unique identifier for the property

integration_id string

The Propexo unique identifier for the integration

integration_vendor string
Show 13 enum values
APPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_REST

The property management system of record

Response​

Successful response

    meta objectrequired
    offsetinteger

    The offset of the first result

    Possible values: >= 0

    Example: 0
    limitinteger

    The number of results to return

    Possible values: >= 0 and <= 250

    Example: 100
    orderBy object[]required
  • Array [
  • object
  • ]
  • hasMoreboolean | nullnullable

    Whether there are more results

    totalinteger

    The total number of results

    Possible values: >= 0

    Example: 1000
    results object[]required
  • Array [
  • idstringrequired

    The Propexo unique identifier for the rentable item

    created_atstringrequired

    The date record first entered Propexo

    updated_atstringrequired

    The date record was last updated in Propexo

    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    x_idstringrequired

    The external ID from the integration vendor

    x_property_idstringrequired

    The external ID of the property from the integration vendor

    x_location_idstring | nullnullablerequired

    The external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

    x_applicant_idstring | nullnullablerequireddeprecated

    Deprecated: Use associated_applicant_ids instead.

    x_lead_idstring | nullnullablerequireddeprecated

    Deprecated: Use associated_lead_ids instead.

    x_resident_idstring | nullnullablerequireddeprecated

    Deprecated: Use associated_resident_ids instead.

    x_type_idstring | nullnullablerequired

    The external ID of the type from the integration vendor

    x_charge_code_idstring | nullnullablerequired

    The external ID of the charge code from the integration vendor

    amount_in_centsnumber | nullnullablerequired

    The amount of the rentable item, in cents

    Example: 100000
    descriptionstring | nullnullablerequired

    Description of the rentable item

    namestring | nullnullablerequired

    The name of the rentable item

    is_availableboolean | nullnullablerequired

    Whether the rentable item is available

    reserved_until_datestring | nullnullablerequired

    The date the rentable item is reserved until

    typestring | nullnullablerequired

    The type associated with the rentable item

    associated_applicant_idsstring[]required
    associated_applicant_ids_truncatedbooleanrequired

    True when more than 20 applicant associations exist and associated_applicant_ids was capped to the 20 most recently seen.

    associated_lead_idsstring[]required
    associated_lead_ids_truncatedbooleanrequired

    True when more than 20 lead associations exist and associated_lead_ids was capped to the 20 most recently seen.

    associated_resident_idsstring[]required
    associated_resident_ids_truncatedbooleanrequired

    True when more than 20 resident associations exist and associated_resident_ids was capped to the 20 most recently seen.

    integration_idstringrequired

    The Propexo unique identifier for the integration

    integration_vendorEnum1required

    The property management system of record

    Show 13 enum values
    APPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_REST
    property_idstringrequired

    The Propexo unique identifier for the property

    applicant_idstring | nullnullablerequireddeprecated

    Deprecated: Use associated_applicant_ids instead.

    lead_idstring | nullnullablerequireddeprecated

    Deprecated: Use associated_lead_ids instead.

    resident_idstring | nullnullablerequireddeprecated

    Deprecated: Use associated_resident_ids instead.

    charge_code_idstring | nullnullablerequired

    The Propexo unique identifier for the charge code

  • ]

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
GET /v1/applicants/:id/rentable-items
curl https://api.propexo.com/v1/applicants/:id/rentable-items \
-H "Authorization: Bearer <token>"
200 Successful response
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": [
{
"id": "string",
"created_at": "string",
"updated_at": "string",
"last_seen": "string",
"x_id": "string",
"x_property_id": "string",
"x_location_id": "string",
"x_type_id": "string",
"x_charge_code_id": "string",
"amount_in_cents": 100000,
"description": "string",
"name": "string",
"is_available": true,
"reserved_until_date": "string",
"type": "string",
"associated_applicant_ids": [
"string"
],
"associated_applicant_ids_truncated": true,
"associated_lead_ids": [
"string"
],
"associated_lead_ids_truncated": true,
"associated_resident_ids": [
"string"
],
"associated_resident_ids_truncated": true,
"integration_id": "string",
"integration_vendor": "APPFOLIO",
"property_id": "string",
"charge_code_id": "string"
}
]
}